# Exposes Content. Exposes Asset's pre-signed urls with expiration time given in seconds Asset being exposed needs to have a Security Template with Download permission and and User must have role with Download privilege. Endpoint: POST /asset/expose Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `id` (string) - `identifier` (string) Type of identifier Enum: "objectId", "fileId" - `components` (array) Array of Objects for generating urls based on properties rendition or object with expiration time in seconds. ## Response 200 fields (application/json): - `id` (string) - `identifier` (string) Enum: "objectId", "fileId" - `components` (array) ## Response 400 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Error Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)